/*
Theme Name: Blokoco
Theme URI: https://example.com/
Author: Mariano
Author URI: https://marianotimistit.com.ar/
Description: Child theme of Rasti Reusable for minor adjustments.
Version: 1.0.0
Template: rasti-reusable
Text Domain: blokoco
License: GNU General Public License v2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
*/

/* Child theme overrides below */
.wp-child-theme-blokoco {

    /* Header */
    .header {

        .header__nav-container {
            .navbar__menu {
                .menu {
                    li {        
                        &.menu-item-has-children {
                            & > .sub-menu {
                                background-color: #F47920;
        
                                a {
                                    font-size: 18px;
                                }
                            }
                        }
                    }
                }
            }
        }

        .header__nav-container-mobile {
        
            .navbar__menu-mobile {
    
                .menu {
                    background: #F47920;
                }
            }
        }
    }

    /* Brand Logo */
    .brand-logo {
        
        .brand-logo__container {

            /* Mobile */
            @media (max-width: 767px) {
                padding-bottom: 0;
            }
        }
    }

    /* Hero Slider */
    .hero-slider { 
        background-color: #FFF100;
    }

    /* Full Width Video */
    .full-width-video {

        .full-width-video__header-text {
            font-size: 45px;
            font-weight: 800;
            color: white;
            text-align: center;
            margin: 0 auto;

            /* Mobile */
            @media (max-width: 767px) {
                font-size: 20px;
            }
        }

        .full-width-video__video-container {
            height: 540px;

            /* Mobile */
            @media (max-width: 767px) {
                max-width: 100%;
                height: 210px;
            }
        }
    }
    
    /* Single Product */
    &.single-products {

        .product-content {

            /* Mobile */
            @media (max-width: 767px) {
                padding-top: 0;
            }

            .product-content__summary-cta{
                background-color: #BEC928;
            }
        }

        .related-products {
            .related-products__back-cta {
                background-color: #BEC928;
            }
        }
    }

    /* Category */
    &.category {

        .category-header { 

            .category-title {
                font-weight: 52px;
                line-height: 60px;
            }
        }
    }
    
    &.category.category-crea  {

        .category-header {
            background-color: #6BD3FF;
        }    
    }

    &.category.category-juego-libre  {

        .category-header {
            background-color: #FF4D4C;
        }    
    }

    &.category.category-animales {

        .category-header {
            background-color: #4FD900;
        }    
    }

}